import request from '@/utils/request'
import {
	baseUrl
}
from '@/api/baseurl'

//微信小程序登录code
async function wxlogin() {
	let wxLogin = await wx.login()
	return wxLogin
}

// 登录方法
export async function login() {
	let res = await wxlogin();
	return request({
		url: baseUrl + '/login/jscode',
		method: 'post',
		params: {
			jscode: res.code
		},
		header: {
			isLogin: true
		}
	})
}

// 更新用户信息
export function updateUserInfo(data) {
	return request({
		url: baseUrl + '/student/user/info',
		method: 'post',
		data
	})
}

// 获取用户详细信息
export async function getInfo() {
	return request({
		url: baseUrl + '/getInfo',
		method: 'get'
	})
}

// 退出方法
export function logout() {
	return request({
		url: '/logout',
		method: 'post'
	})
}

// 绑定用户身份证信息
export function bindUserCard(data) {
	return request({
		url: baseUrl + '/gzpt/userInfo/bind',
		method: 'put',
		data
	})
}
